Debian Bug report logs - #396602
RM: preview-latex -- RoQA; obsolete

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Bill Allombert <ballombe@debian.org>

Date: Fri, 13 Oct 2006 22:04:54 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, OHURA Makoto <ohura@debian.org>:
Bug#392863; Package preview-latex. Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <ballombe@debian.org>:
New Bug report received and forwarded. Copy sent to OHURA Makoto <ohura@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bill Allombert <ballombe@debian.org>
To: submit@bugs.debian.org
Subject: preview-latex: fails to install
Date: Fri, 13 Oct 2006 23:46:35 +0200
Package: preview-latex
Version: 0.9.1-4
Severity: serious

Hello Makoto,

There is an error when attempting to install preview-latex:
  install/preview-latex: Handling install for emacsen flavor emacs21
  emacs-install: /usr/lib/emacsen-common/packages/install/preview-latex emacs21
failed at /usr/lib/emacsen-common/emacs-install line 28, <TSORT> line 5.
  dpkg: error processing emacs21 (--configure):
   subprocess post-installation script returned error exit status 1

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 



Information forwarded to debian-bugs-dist@lists.debian.org, OHURA Makoto <ohura@debian.org>:
Bug#392863; Package preview-latex. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to OHURA Makoto <ohura@debian.org>. Full text and rfc822 format available.

Message #10 received at 392863@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: Bill Allombert <ballombe@debian.org>
Cc: 392863@bugs.debian.org, "Davide G. M. Salvetti" <salve@debian.org>
Subject: Re: preview-latex: fails to install
Date: Wed, 18 Oct 2006 19:05:27 +0200
Hi Makoto, hi Davide,

Bill Allombert <ballombe@debian.org> wrote:

> Package: preview-latex
> Version: 0.9.1-4
> Severity: serious
>
> Hello Makoto,
>
> There is an error when attempting to install preview-latex:
>   install/preview-latex: Handling install for emacsen flavor emacs21
>   emacs-install: /usr/lib/emacsen-common/packages/install/preview-latex emacs21
> failed at /usr/lib/emacsen-common/emacs-install line 28, <TSORT> line 5.
>   dpkg: error processing emacs21 (--configure):
>    subprocess post-installation script returned error exit status 1

I'm surprised that preview-latex is still there.  Isn't it completely
replaced by auctex?

At a short glance, it seems to me auctex should not only declare
Conflicts and Replaces, but also Provides.  And preview-latex should
simply be removed from etch and sid.

Regards, Frank
-- 
Dr. Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX/TeXLive)



Information forwarded to debian-bugs-dist@lists.debian.org, OHURA Makoto <ohura@debian.org>:
Bug#392863; Package preview-latex. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to OHURA Makoto <ohura@debian.org>. Full text and rfc822 format available.

Message #15 received at 392863@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: 392863@bugs.debian.org
Cc: OHURA Makoto <ohura@debian.org>, "Davide G. M. Salvetti" <salve@debian.org>
Subject: Re: preview-latex: fails to install
Date: Mon, 23 Oct 2006 17:54:34 +0200
ping?

Frank Küster <frank@kuesterei.ch> wrote:

> Bill Allombert <ballombe@debian.org> wrote:
>
>> Package: preview-latex
>> Version: 0.9.1-4
>> Severity: serious
[...]
> I'm surprised that preview-latex is still there.  Isn't it completely
> replaced by auctex?
>
> At a short glance, it seems to me auctex should not only declare
> Conflicts and Replaces, but also Provides.  And preview-latex should
> simply be removed from etch and sid.

Any news on this?

Regards, Frank
-- 
Dr. Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX/TeXLive)



Information forwarded to debian-bugs-dist@lists.debian.org, OHURA Makoto <ohura@debian.org>:
Bug#392863; Package preview-latex. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to OHURA Makoto <ohura@debian.org>. Full text and rfc822 format available.

Message #20 received at 392863@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: 392863@bugs.debian.org
Subject: This cannot be fixed without changes in auctex
Date: Thu, 26 Oct 2006 09:30:32 +0200
clone 392863 -1
reassign -1 auctex
retitle -1 auctex: must Provide: preview-latex
stop


-- 
Dr. Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX/TeXLive)



Bug 392863 cloned as bug 395294. Request was from Frank Küster <frank@kuesterei.ch> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, OHURA Makoto <ohura@debian.org>:
Bug#392863; Package preview-latex. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to OHURA Makoto <ohura@debian.org>. Full text and rfc822 format available.

Message #27 received at 392863@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: 395294@bugs.debian.org
Cc: 392863@bugs.debian.org
Subject: I'm going to NMU this
Date: Thu, 26 Oct 2006 11:54:08 +0200
Hi,

this issue has now been known a week without an answer from any of the
maintainers of the involved packages.  I'm going to fix the auctex bug
in an NMU, so that it can migrate to testing and preview-latex be
removed.  The patch is below, the urgency is going to be high, since
this is a trivial change.

Davide, I hope I don't interfere while you are just about to upload your
own version.  But since we haven't heard anything from you, I am not
willing to wait.

Regards, Frank


diff -Nur auctex-11.83.old/debian/changelog auctex-11.83/debian/changelog
--- auctex-11.83.old/debian/changelog	2006-10-26 11:52:27.000000000 +0200
+++ auctex-11.83/debian/changelog	2006-10-26 11:50:51.000000000 +0200
@@ -1,3 +1,12 @@
+auctex (11.83-2.1) unstable; urgency=high
+
+  * NMU to fix RC bug
+  * Add "Provides: preview-latex".  The package actually does this, and
+    this will allow the RC-buggy preview-latex package to be removed from
+    etch (closes: #395294)
+
+ -- Frank KÃŒster <frank@debian.org>  Thu, 26 Oct 2006 09:30:43 +0200
+
 auctex (11.83-2) unstable; urgency=low
 
   * {auctex, preview-latex-style}/{postinst.in, postrm.in, prerm.in}:
diff -Nur auctex-11.83.old/debian/control auctex-11.83/debian/control
--- auctex-11.83.old/debian/control	2006-10-26 11:52:27.000000000 +0200
+++ auctex-11.83/debian/control	2006-10-26 09:31:03.000000000 +0200
@@ -13,6 +13,7 @@
 Suggests: catdvi, dvipng, lacheck
 Conflicts: emacspeak (<= 17.0-1), preview-latex
 Replaces: preview-latex
+Provides: preview-latex
 Description: An integrated environment for editing TeX and friends documents
  AUCTeX is a comprehensive customizable integrated environment for writing
  input files for TeX/LaTeX/ConTeXt/Texinfo using Emacs.

-- 
Dr. Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX/TeXLive)



Information forwarded to debian-bugs-dist@lists.debian.org, OHURA Makoto <ohura@debian.org>:
Bug#392863; Package preview-latex. Full text and rfc822 format available.

Acknowledgement sent to "Davide G. M. Salvetti" <salve@debian.org>:
Extra info received and forwarded to list. Copy sent to OHURA Makoto <ohura@debian.org>. Full text and rfc822 format available.

Message #32 received at 392863@bugs.debian.org (full text, mbox):

From: "Davide G. M. Salvetti" <salve@debian.org>
To: Frank Küster <frank@kuesterei.ch>
Cc: 395294@bugs.debian.org, 392863@bugs.debian.org
Subject: Re: Bug#395294: I'm going to NMU this
Date: Thu, 26 Oct 2006 21:26:06 +0200
>>>>>  fant == Frank Küster [2006-10-26]

fant> Davide, I hope I don't interfere while you are just about to
fant> upload your own version.  But since we haven't heard anything from
fant> you, I am not willing to wait.

No problem for me, just go ahead.  However, please, next time do spell
your intentions to NMU clearly _before_ you do it, even if I have not
answered your previous mails right away (the fact that I wait some time
before replying does not mean that I don't read what you write: sending
in another mail stating that you would like to NMU is appreciated).

-- 
Thanks, Davide



Information forwarded to debian-bugs-dist@lists.debian.org, OHURA Makoto <ohura@debian.org>:
Bug#392863; Package preview-latex. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to OHURA Makoto <ohura@debian.org>. Full text and rfc822 format available.

Message #37 received at 392863@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: "Davide G. M. Salvetti" <salve@debian.org>
Cc: 395294@bugs.debian.org, 392863@bugs.debian.org
Subject: Re: Bug#395294: I'm going to NMU this
Date: Fri, 27 Oct 2006 08:29:47 +0200
"Davide G. M. Salvetti" <salve@debian.org> wrote:

>>>>>>  fant == Frank Küster [2006-10-26]
>
> fant> Davide, I hope I don't interfere while you are just about to
> fant> upload your own version.  But since we haven't heard anything from
> fant> you, I am not willing to wait.
>
> No problem for me, just go ahead.  However, please, next time do spell
> your intentions to NMU clearly _before_ you do it, even if I have not
> answered your previous mails right away (the fact that I wait some time
> before replying does not mean that I don't read what you write: sending
> in another mail stating that you would like to NMU is appreciated).

Yes, sorry, I should have done this.  However, my time is limited, too,
and this is about fixing a RC bug.  Under current policy, every RC bug
is under 0-day-NMU regime, so I assumed that this was kind of clear.  I
should have been explicit.

Regards, Frank
-- 
Dr. Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX/TeXLive)



Information forwarded to debian-bugs-dist@lists.debian.org, OHURA Makoto <ohura@debian.org>:
Bug#392863; Package preview-latex. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to OHURA Makoto <ohura@debian.org>. Full text and rfc822 format available.

Message #42 received at 392863@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: ftpmaster@debian.org
Cc: 392863@bugs.debian.org, Debian Release Management <debian-release@lists.debian.org>
Subject: Please remove obsolete preview-latex package (was: preview-latex: fails to install)
Date: Wed, 01 Nov 2006 15:14:44 +0100
reassign 392863 ftp.debian.org
retitle 392863 Please remove obsolete preview-latex package
thanks

Frank Küster <frank@kuesterei.ch> wrote:

> Hi Makoto, hi Davide,
>
> Bill Allombert <ballombe@debian.org> wrote:
>
>> Package: preview-latex
>> Version: 0.9.1-4
>> Severity: serious
>>
>> Hello Makoto,
>>
>> There is an error when attempting to install preview-latex:
>>   install/preview-latex: Handling install for emacsen flavor emacs21
>>   emacs-install: /usr/lib/emacsen-common/packages/install/preview-latex emacs21
>> failed at /usr/lib/emacsen-common/emacs-install line 28, <TSORT> line 5.
>>   dpkg: error processing emacs21 (--configure):
>>    subprocess post-installation script returned error exit status 1

This is expected, since preview latex has been merged into auctex, and
auctex has changed internally meanwhile.

> I'm surprised that preview-latex is still there.  Isn't it completely
> replaced by auctex?
>
> At a short glance, it seems to me auctex should not only declare
> Conflicts and Replaces, but also Provides.  

This has now happened, auctex in sid and testing does this.

> And preview-latex should
> simply be removed from etch and sid.

ftp-masters, would you please do this?

Regards, Frank
-- 
Dr. Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX/TeXLive)



Bug reassigned from package `preview-latex' to `ftp.debian.org'. Request was from Frank Küster <frank@kuesterei.ch> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Frank Küster <frank@kuesterei.ch> to control@bugs.debian.org. Full text and rfc822 format available.

Bug 392863 cloned as bug 396602. Request was from "Adam D. Barratt" <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `normal' from `serious' Request was from "Adam D. Barratt" <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from "Adam D. Barratt" <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Bill Allombert <ballombe@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #57 received at 396602-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 396602-close@bugs.debian.org
Cc: preview-latex@packages.debian.org, preview-latex@packages.qa.debian.org
Subject: Bug#396602: fixed
Date: Mon, 25 Dec 2006 00:29:47 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

preview-latex |    0.9.1-4 | source, all

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 396602@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 10:38:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 05:46:37 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.